Subject: RE: mdemo ltdl failure
From: "Dave Korn" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 16 Mar 2007 16:11:03 -0000
List-Id: <cygwin.cygwin.com>

On 16 March 2007 15:35, Charles Wilson wrote:

>>>>> Well, it's failing all the time for me, but I'm not sure it's a >
>>> segfault. What does "Hangup" mean, when reported by the shell after >
>>> executing the app: Good question, I don't know.

  It means SIGHUP.

> I've (almost) tracked down the error: it is caused by yet another bug in
> newlib's argz_insert() (or possibly realloc()! ), as called by
> lt_argz_insert:

  This thread should probably be on the newlib list then.

> What's odd is that this bug in argz_insert() is very ticklish: it
> triggers on "tests/mdemo/Makefile", but not when argz_insert is called
> with "./tests/mdemo/Makefile".

  Isn't that just exactly what you would expect, given that you're talking
about sorting things in ascii order?  The period collates very early in ascii
sort order, whereas a lower-case t comes much later; hence if you specify the
'.' you get the makefile at the start of the list instead of the end.

> I need to verify this using a debug-built cygwin kernel, but it looks
> like within newlib's argz_insert(), the call to realloc() is not
> operating correctly in this instance.

  Sounds like it should be quite easy to PPAST then.

    cheers,
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/